JexlException.Parsing (Apache Commons JEXL 3.6.3 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlException, class: Parsing

Package org.apache.commons.jexl3

# Class JexlException.Parsing

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JexlException.Parsing

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `JexlException.Ambiguous`, `JexlException.Assignment`, `JexlException.Feature`

Enclosing class:
  `JexlException`

public static class JexlException.Parsing extends JexlException
Thrown when parsing fails.

Since:
  3.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parsing(JexlInfo info, String msg)`
  Creates a new Parsing exception instance.
  `Parsing(JexlInfo info, org.apache.commons.jexl3.parser.ParseException cause)`
  Creates a new Parsing exception instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `detailedMessage()`
  Accesses the detailed message.

  ### Methods inherited from class org.apache.commons.jexl3.JexlException

  `annotationError, clean, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Parsing

    public Parsing(JexlInfo info, org.apache.commons.jexl3.parser.ParseException cause)
    Creates a new Parsing exception instance.
    Parameters:
      `info` - the location information
      `cause` - the javacc cause

  - ### Parsing

    public Parsing(JexlInfo info, String msg)
    Creates a new Parsing exception instance.
    Parameters:
      `info` - the location information
      `msg` - the message

- ## Method Details

  - ### detailedMessage

    protected String detailedMessage()
    Description copied from class: `JexlException`
    Accesses the detailed message.
    Overrides:
      `detailedMessage` in class `JexlException`
    Returns:
      the message